package com.fuzamei.mapperInterface;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.fuzamei.entity.Token;
import com.fuzamei.entity.User;
import com.fuzamei.entity.UserDetail;

public interface LoginMapper {
	public User queryUser(@Param("username") String username,@Param("password") String password);
	public int updateToken(@Param("userId") Integer userId,@Param("token") String token);
	public int insertToken(@Param("userId") Integer userId,@Param("token") String token);
	public UserDetail queryAdminExistence();
	public void insertAdmin(UserDetail user);
}
